Bug 183311 - pirut/pup do not do any locking
pirut/pup do not do any locking
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-02-27 23:25 EST by Bill Nottingham
Modified: 2014-03-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-28 18:09:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-02-27 23:25:46 EST
pirut and pup seem to not do any locking. You can start them both
simultaneously, and have them both updating, adding, or removing
packages at the same time.

They appear to trust that the rpm locking will save them. This seems...
Comment 1 Jeremy Katz 2006-02-28 18:09:58 EST
Modified so that we use the yum lock file.

Note You need to log in before you can comment on or make changes to this bug.